/**Begin D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_DOCUMENTLIST') 
 CREATE TABLE T_BCM_DOCUMENTLIST (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FENTITYID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(1000) DEFAULT ' ' NOT NULL,
FPERMID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FSCENEID BIGINT DEFAULT 0 NOT NULL,
FYEARID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT '0' NOT NULL,
FSOURCE VARCHAR(300) DEFAULT ' ' NOT NULL,
FGROUPID VARCHAR(200) DEFAULT ' ' NOT NULL,
FDOCID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FISREPORT CHAR(1) DEFAULT '0' NOT NULL,
FCATALOG VARCHAR(200) DEFAULT ' ' NOT NULL
);



/**End D:\DBA\1.4\PDM_UPGRADE\PDM1\BCM_table.sql **/
